GET api/bagapi/bagsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"bag_status_id": "1c97dadd-59e5-4c9e-8a8b-9a7c82513fd2",
"cleanroom_type_id": "1f95d963-e95b-40cd-a87d-c729c093d44e",
"code": 3,
"date_hu": "2026-09-25T05:42:25.9867638+00:00",
"id": "d75fbcd6-ed7e-4e2d-854a-a7abcf6f997b",
"site_id": "495365c1-16ea-471b-a787-f73105ced017",
"wash_count": 6,
"position": 1,
"pc_id": "39f5c407-313c-44d1-9880-7a78a1c1ea97"
},
{
"active": true,
"bag_status_id": "1c97dadd-59e5-4c9e-8a8b-9a7c82513fd2",
"cleanroom_type_id": "1f95d963-e95b-40cd-a87d-c729c093d44e",
"code": 3,
"date_hu": "2026-09-25T05:42:25.9867638+00:00",
"id": "d75fbcd6-ed7e-4e2d-854a-a7abcf6f997b",
"site_id": "495365c1-16ea-471b-a787-f73105ced017",
"wash_count": 6,
"position": 1,
"pc_id": "39f5c407-313c-44d1-9880-7a78a1c1ea97"
}
]
application/xml, text/xml
Sample:
<ArrayOfbag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<bag>
<active>true</active>
<bag_status_id>1c97dadd-59e5-4c9e-8a8b-9a7c82513fd2</bag_status_id>
<cleanroom_type_id>1f95d963-e95b-40cd-a87d-c729c093d44e</cleanroom_type_id>
<code>3</code>
<date_hu>2026-09-25T05:42:25.9867638+00:00</date_hu>
<id>d75fbcd6-ed7e-4e2d-854a-a7abcf6f997b</id>
<pc_id>39f5c407-313c-44d1-9880-7a78a1c1ea97</pc_id>
<position>1</position>
<site_id>495365c1-16ea-471b-a787-f73105ced017</site_id>
<wash_count>6</wash_count>
</bag>
<bag>
<active>true</active>
<bag_status_id>1c97dadd-59e5-4c9e-8a8b-9a7c82513fd2</bag_status_id>
<cleanroom_type_id>1f95d963-e95b-40cd-a87d-c729c093d44e</cleanroom_type_id>
<code>3</code>
<date_hu>2026-09-25T05:42:25.9867638+00:00</date_hu>
<id>d75fbcd6-ed7e-4e2d-854a-a7abcf6f997b</id>
<pc_id>39f5c407-313c-44d1-9880-7a78a1c1ea97</pc_id>
<position>1</position>
<site_id>495365c1-16ea-471b-a787-f73105ced017</site_id>
<wash_count>6</wash_count>
</bag>
</ArrayOfbag>